<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<!--
*  Copyright © 1997, 2011, Oracle and/or its affiliates. All rights reserved.
*  Use is subject to license terms.
-->
<HTML>
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<TITLE>Add Java Platform wizard: Bootstrap Libraries page</TITLE>
<link rel="StyleSheet" href="nbdocs:/org/netbeans/modules/usersguide/ide.css" type="text/css">
</HEAD>
<BODY>
<h2>Add Java Platform Wizard:<br>
Bootstrap Libraries page</h2>
<p> <small><a href="#seealso">See Also</a></small></p>
<p>The Add Java Platform wizard enables you to  register  Java platform
  and
Java ME, MIDP platform-compatible SDKs or 
  <object
classid="java:com.sun.java.help.impl.JHSecondaryViewer">
    <param name="content"
value="../glossary/gloss_emulator.html">
    <param name="viewerActivator"
value="javax.help.LinkLabel">
    <param name="viewerStyle" value="javax.help.Popup">
    <param name="viewerSize" value="400,160">
    <param name="text" value="emulator platform">
    <param name="textFontFamily" value="SansSerif">
    <param name="textFontSize" value="small">
    <param name="textFontWeight" value="bold">
    <param name="textFontStyle" value="italic">
    <param name="textColor" value="blue">
  </object>
  , such as the Java ME SDK, in the NetBeans IDE. Once you register 
  a platform emulator, you can use 
  <object
classid="java:com.sun.java.help.impl.JHSecondaryViewer">
    <param name="content"
value="../glossary/gloss_deviceconfiguration.html">
    <param name="viewerActivator"
value="javax.help.LinkLabel">
    <param name="viewerStyle" value="javax.help.Popup">
    <param name="viewerSize" value="400,160">
    <param name="text" value="project configurations">
    <param name="textFontFamily" value="SansSerif">
    <param name="textFontSize" value="small">
    <param name="textFontWeight" value="bold">
    <param name="textFontStyle" value="italic">
    <param name="textColor" value="blue">
  </object> 
  to set that platform
for compilation, execution and debugging.</p>
<p>Use the Bootstrap Libraries page of this wizard to specify the classpaths
  of libraries used by a custom (non-UEI compliant) emulator platform. </p>
<p>After you have entered the information required by the <a href="wizard_addplatform_gi.html">General
  Information page</a>, the Bootstrap Libraries page detects the libraries and
  APIs used by the platform. </p>
<p>You can add additional libraries by clicking the Browse button and navigating
  to the library file you want to add. </p>
<p>You can click Next to specify additional source files and Javadoc, or click
  Finish to register the emulator platform in the IDE. </p>
<dl><dt><a name="seealso">See Also</a></dt>
   <dd><a href="../emulator/emulator_about.html">About Emulator
        Platforms</a></dd>
        <dd><a href="../emulator/emulator_adding.html">Adding Emulator Platforms</a></dd>      
</dl><hr>
<small><a href="../getstarted/credits.html">Legal Notices</a></small>
</body>
</html>
